Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 665822

Summary: app-misc/lcd4linux: Validate DEPEND on virtual/mysql
Product: Gentoo Linux Reporter: Brian Evans <grknight>
Component: Current packagesAssignee: Conrad Kostecki <conikost>
Status: RESOLVED FIXED    
Severity: normal CC: proxy-maint
Priority: Normal Keywords: PullRequest
Version: unspecified   
Hardware: All   
OS: Linux   
See Also: https://github.com/gentoo/gentoo/pull/10280
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on: 666110    
Bug Blocks: 763480    

Description Brian Evans Gentoo Infrastructure gentoo-dev 2018-09-12 17:27:43 UTC
THIS IS A MASS FILING TO ALL PACKAGE WITH A DEPEND ON virtual/mysql

As was announced on the gentoo-dev-announce mailing list[1],
virtual/mysql is no longer viable to depend on providing the client libraries
or the mysql_config tool.

Most uses of DEPEND="virtual/mysql" (or conditionals based upon it) will not
work in the future.

If this package (optionally) depends on libmysqlclient.so* or mysql_config for
building, you will need to have dev-db/mysql-connector-c as the DEPEND/RDEPEND.

If this package (optionally) depends on libmariadb.so* or mariadb_config for
building, you will need to have dev-db/mariadb-connector-c as the
DEPEND/RDEPEND.

If this package requires the server running locally, virtual/mysql is
acceptible for RDEPEND and only in DEPEND when tests demand it.

The rare exception when server only files are required at build time should you
keep a compatible server listed.

After 60 days, roughly mid-October 2018, remaining packages will be forcefully
changed to mysql-connector-c with little or no testing. The server packages
will drop their compatibility DEPEND shortly after.

[1] https://archives.gentoo.org/gentoo-dev-announce/message/618f39bce863911d8955ee9f83636ca4
Comment 1 Conrad Kostecki gentoo-dev 2018-09-13 17:48:00 UTC
Since this only affects the old version, which I want to remove in future, I filled a stabilization request for the newest version, so the old one can be dropped and this bug closed.
Comment 2 Larry the Git Cow gentoo-dev 2018-11-08 22:49:26 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6781456939c83da3d748970a5ecfca28125080c7

commit 6781456939c83da3d748970a5ecfca28125080c7
Author:     Conrad Kostecki <conrad@kostecki.com>
AuthorDate: 2018-11-06 17:23:33 +0000
Commit:     Patrice Clement <monsieurp@gentoo.org>
CommitDate: 2018-11-08 22:27:32 +0000

    app-misc/lcd4linux: drop old version.
    
    Closes: https://bugs.gentoo.org/665822
    Signed-off-by: Conrad Kostecki <conrad@kostecki.com>
    Package-Manager: Portage-2.3.51, Repoman-2.3.11
    Closes: https://github.com/gentoo/gentoo/pull/10280
    Signed-off-by: Patrice Clement <monsieurp@gentoo.org>

 app-misc/lcd4linux/Manifest                        |   1 -
 .../files/lcd4linux-0.10.1_rc2-autoconf-2.65.patch |  20 --
 .../lcd4linux-0.10.1_rc2-missing-header.patch      |  12 -
 .../lcd4linux/files/lcd4linux-0.10.1_rc2-mpd.patch | 374 ---------------------
 .../files/lcd4linux-0.10.1_rc2-nordtsc.patch       | 187 -----------
 .../files/lcd4linux-0.10.1_rc2-usbdebug.patch      | 121 -------
 .../files/lcd4linux-0.10.1_rc2-warnings.patch      |  64 ----
 .../lcd4linux/files/lcd4linux-0.10.1_rc2.initd     |  22 --
 app-misc/lcd4linux/lcd4linux-0.10.1_rc2-r4.ebuild  | 174 ----------
 9 files changed, 975 deletions(-)